%define prel pre3

Summary:	S GTK+ 2 rewrite of a well-known LinNeighborhood tool
Name:		pyNeighborhood
Version:	0.5.0
Release:	%mkrel -c %prel 3
License:	GPLv3
Group:		Networking/File transfer
Url:		http://pyneighborhood.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pyneighborhood/%{name}-%{version}-%{prel}.tar.bz2
%py_requires -d
Requires:	samba-client
Requires:	pygtk2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
pyNeighborhood is a the GUI frontend for samba tools, such as 
smbclient, smbmount etc.

%prep
%setup -q -c

%build
python setup.py build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

python setup.py install --root=%{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO Changelog
%{_bindir}/*
%{py_sitedir}/pyneighborhood
%{py_sitedir}/*.egg*
%{_datadir}/applications/*.desktop
%{_datadir}/pyneighborhood
%exclude %{_docdir}/pyneighborhood


%changelog
* Fri Aug 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.pre3.3mdv2009.0
+ Revision: 275143
- run scriplets only for mdv older than 200900
- spec file clean

* Thu Aug 21 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-0.pre3.2mdv2009.0
+ Revision: 274709
- fix file list
- should be noarch

* Thu Aug 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.pre3.1mdv2009.0
+ Revision: 274596
- add requires on samba-client and pygtk2.0
- add source and spec file
- Created package structure for pyNeighborhood.

